#ifndef CHARACTER_UNIT_HPP
#define CHARACTER_UNIT_HPP

#include "unit.hpp"
#include "inventory.hpp"

class CharacterUnit : public Unit {
    GDCLASS(CharacterUnit, Unit);
    static void _bind_methods();
public:
    virtual void _ready() override;
    virtual void use_weapon() override;
private:
    Inventory *inventory{nullptr};
};

#endif // !CHARACTER_UNIT_HPP
